@echo off
SETLOCAL EnableExtensions EnableDelayedExpansion
repls.exe >nul 2>nul
if "%ERRORLEVEL%"=="9009" echo FATAL^^! Required utility repls.exe not found on PATH. Press a key to quit ...& pause>nul& exit /b 1

REM Изменение внешнего вида вещей срабатывает 1) если установлен атрибут ARCHIVE
REM на .cmd файле, что происходит автоматически при его редактировании, или
REM 2) если кэш был удалён. После отработки .cmd атрибут на нём сбрасывается.
if not exist "WDB\itemcache.wdb" if not exist "Cache\WDB\enGB\itemcache.wdb" if not exist "Cache\WDB\enUS\itemcache.wdb" echo STATUS: Not found itemcache.wdb, setting attribute A on .cmd & attrib +A "%~f0" & exit /b 1
set "WHAT=%~a0"
if "!WHAT:~2,1!"=="-" echo STATUS: "%~f0" has no attribute A set. Skipping. & exit /b 1

REM Невидимые наплечники (ставить displayid=0 нельзя, т.к. номер модели определяет также и картинку иконки вещи)
set NoShoulders=Deprecated Ancestral Mantle 3396
set NoShoulders2=Deprecated Hunting Spaulders 2563

if exist Data\world2.MPQ goto Cata
if exist Data\expansion3.MPQ goto Cata
if exist Data\lichking.MPQ goto WotLK
if exist Data\expansion.MPQ goto TBC
goto Classic

:WotLK
REM set @_Charger's Pants= Unadorned Chain Leggings 33263
REM set @_Primal Wraps= Black Leather Vest 35903
REM set @_Embossed Leather Vest= Black Leather Vest 35903
REM set @_Copper Chain Belt= Clasped Belt 6875
REM set @_Runed Copper Pants= Warden's Woolies 27984  Sun Cured Pants 33273
REM set @_Embossed Leather Vest= Silvermoon Tunic 44432
REM set @_Infantry Tunic= Black Leather Vest 35903  Overlinked Chain Armor 11565
REM set @_Bard's Belt= Emerald Girdle (зелёно-золотой) 27418
REM set @_Barbaric Cloth Gloves= Embossed Leather Gloves 9503
REM set @_Green Woolen Vest= Green Holiday Shirt (необычная, с узорами) 29901
REM set @_Inscribed Leather Belt= Embossed Plate Girdle (красновато-золотой) 27352
REM set @_Soft-soled Linen Boots= Blackrock Boots 6841
REM set @_Beastmaster's Girdle= War Torn Girdle (тёмно-красный) 26953  Masterwork Girdle (тонкий золотой) 26245
REM set @_Robe of Evocation= Acolyte's Sacrificial Robes (светло-сиреневое) 27479
REM set @_Gloves of the Moon= Headhunter's Mitts (бордовые) 27701
set @_Crystalline Cuffs= Steadfast Bracelets (светло-сиреневые) 27895
REM L: Sun Cured Pants 33273  Initiate's Pants (BloodElven зелёные) 36790
REM C: Silvermoon Tunic 44432  Silvermoon Armor (красная кольчуга) 44431  Fallen Apprentice's Robe (платье) 19011
REM set @_Laced Mail Shoulderpads= %NoShoulders%
REM set @_Maltendis's Handguards= Headhunter's Mitts (бордовые) 27701
REM set @_Raider's Shoulderpads= %NoShoulders%
REM set @_Rough Bronze Shoulders= %NoShoulders%
REM set @_Raven's Claws= Headhunter's Mitts (бордовые) 27701
REM set @_Talbar Mantle= %NoShoulders%
set @_Deadskull Shield= Wall of the Dead 18793
set @_Darkcloth Shoulders= %NoShoulders%
call :MultiTransmog
goto Done


:Classic
rem set @_Talbar Mantle= %NoShoulders%
rem set @_Luminescent Amice= %NoShoulders%
rem set @_Feline Mantle= %NoShoulders%
rem set @_Silvered Bronze Boots= Blackrock Boots 6841
rem set @_Blackened Defias Armor= Archer's Jerkin 14068
rem set @_Toughened Leather Gloves= Cutthroat's Mitts 27715
rem set @_Spidersilk Boots= Blackrock Boots 6841
rem set @_Zealot Blade= Deathstalker Shortsword 20015
rem set @_Marbled Buckler= Crested Buckler 17885  Lunar Buckler 6272
rem set @_Robes of Arugal= Civinad Robes 18883  Narain's Robe 33402  Warm Winter Robe 18121  Doomsayer's Robe 12718  Robe of Volatile Power 31663  Royal Dangui 24645  Royal Gown (чёрно-фиолетовое) 28417
rem set @_Amy's Blanket= Forest Cloak 23029  Dwarven Guard Cloak 15183  Nightsky Cloak 18131
rem set @_Triprunner Dungarees= Skyshroud Leggings 28713
rem set @_Black Ogre Kickers= Judgement Sabatons 33639 Stormrage Boots 30542  Boots of Transcendence (T2) 34055
rem set @_Enchanted Kodo Bracers= Wildheart Bracers 29977
rem set @_Adventurer's Pith Helmet= Dreamweave Circlet 19000  Red Mageweave Headband 18879
rem set @_Captain Sander's Shirt= Squire's Shirt 9972
rem set @_Sutarn's Ring= Handstitched Leather Belt 9501
rem set @_Forest Tracker Epaulets= %NoShoulders%
rem set @_Stoneweaver Leggings= Mistscape Pants (синие) 14685  Skyshroud Leggings (тёмная магента) 28713
rem set @_Collection Plate= Kite Shield 18733
rem set @_Wolffear Harness= Thick Murloc Armor 22393
rem set @_Batwing Mantle= %NoShoulders%
rem set @_Grubbis Paws= Cutthroat's Mitts 27715
rem set @_Ironheel Boots= Blackrock Boots 6841
rem set @_Silky Spider Cape= Gryphon Cloak (светло-бордовый) 28565
rem set @_Green Lens= Tracker's Headband (зелёно-синий) 19010
rem set @_Sheepshear Mantle= %NoShoulders%
rem set @_Chainlink Towel= Gryphon Cloak (светло-бордовый) 28565
rem set @_Dragonflight Leggings= Skyshroud Leggings (тёмная магента) 28713
set @_Boots of Avoidance= Shinkicker Boots (золотые, спереди выше) 28252  Sunscale Sabatons (тёмно-золотые) 26822
rem set @_Highlander's Lamellar Girdle= Lightforge Belt (золотой) 29966
rem set @_Robes of Insight= Hibernal Robe (зелёно-желтоватый +Green Holiday Shirt) 19901
rem set @_Gut Ripper= Blade of Eternal Darkness 29957
rem set @_Jumanza Grips= Headhunter's Mitts (бордовые) 27701
rem set @_Precisely Calibrated Boomstick= Ornate Blunderbuss 6607
rem set @_Gemburst Circlet= Circlet of Prophecy (T1; высокий "воротник") 31371  Lord's Crown 26330
rem set @_Highlander's Cloth Girdle= Lightforge Belt (золотой) 29966
rem set @_Big Bad Pauldrons= %NoShoulders%
rem set @_Atal'ai Gloves= Cutthroat's Mitts (ярко-красные, др. иконка) 27715

rem set _chest=Embrace of the Wind Serpent
rem set _head= Gemburst Circlet
rem set _waist=Ban'thok Sash
rem set _wrist=Wristguards of Renown
rem set _feet= Boots of Avoidance
rem set _legs= Kilt of the Atal'ai Prophet
rem set _legs= Luminary Kilt
REM call :Wildheart
rem call :OfElements

rem set @_Stylish Green Shirt= Green Holiday Shirt (необычная, с узорами) 29901
set @_Stockade Pauldrons= %NoShoulders%
rem set @_Embrace of the Wind Serpent= Robes of Prophecy (T1; красно-золотой) 31490  Hibernal Robe (зелёно-желтоватый +Green Holiday Shirt) 19901
rem set @_Bloodfire Talons= Headhunter's Mitts (бордовые) 27701
rem set @_Lead Surveyor's Mantle= %NoShoulders%
rem set @_Burial Shawl= %NoShoulders2%
rem set @_Stormpike Cloth Girdle= Commander's Girdle (красная вязь на чёрном) 26335
set @_Sandworm Skin Gloves= Devilsaur Gauntlets (ярко-красные) 26072
set @_Deathbone Chestplate= Breastplate of Undead Slaying 36077
set @_Deathbone Gauntlets= Gauntlets of Undead Slaying (стальные) 35550
rem set @_Denwatcher's Shoulders= %NoShoulders2%
set @_Pauldrons of Elemental Fury= %NoShoulders2%
set @_Deathbone Legguards=Warstrife Leggings (чёрные с накладками) 28623

set _chest=Alanna's Embrace
set _wrist=Feralheart Bracers
rem set _legs=Luminary Kilt
set _legs=Sorcerer's Leggings
call :Earthshatter
rem set @_Stormpike_Cloth_Girdle= Lightforge Belt (золотой) 29966

set @_Feralheart Gloves= Cutthroat's Mitts (ярко-красные, др. иконка) 27715
rem set @_Virtuous Belt= Lightforge Belt (золотой) 29966
set @_Mana Igniting Cord= Lightforge Belt (золотой) 29966
rem set @_Empyrean Demolisher=Bonesnapper 28689
set @_Chitinous Shoulderguards= %NoShoulders%
set @_Boots of the Vanguard= Imperial Red Boots (красные) 16766
rem set @_Vis'kag the Bloodletter= Bloodrazor 20033
set @_Deathbringer= Corpse Harvester 28338
set @_Gloves of Delusional Power= Mooncloth Gloves (короткие синие) 30774
set @_Ironvine Gloves= Harmonious Gauntlets (зелёно-золотые) 30862
set @_Ironvine Breastplate= Soldier's Armor (тёмнозелёно-золотистая) 25755
rem set @_Gauntlets of Might= Vice Grips (раскалённо-чёрные) 18573
set @_Gauntlets of Wrath= Vice Grips (раскалённо-чёрные) 18573  Black Grasp of the Destroyer (чёрные с металлическими полосами) 34516
set @_Waistband of Wrath= Belt of Might 31019
set @_Drake Talon Pauldrons= %NoShoulders%
set @_Aegis of the Blood God= Zulian Defender 32560
set @_Idol of Rejuvenation= invalid 34954  Arcane Star 27575
set @_Pauldrons of Wrath= %NoShoulders%

call :MultiTransmog
goto Done

шлемы экстравагантые: Slayer's Skullcap 27191  Dragonstalker's Helm (T3; в стиле головый наги) 34367  Halo of Transcendence (T2; сияющий "воротник") 34233  Circlet of Prophecy (T1; высокий "воротник") 31371  Crown of the Fire Festival (парящее кольцо огня) 36782
шлем-обруч: Laminated Scale Circlet (стальной) 28391
шлем-ободок с перьями: Feathered Headdress (зелёно-жёлтый) 13259  Tracker's Headband (зелёно-синий) 19010  Trickster's Headdress (сине-золотой) 27959
шлем-корона: High Chief's Crown (красный обруч с перьями) 27835  Lord's Crown (стальная) 26330  Hero's Band (красно-золотой) 26315  Rageclaw Helm (красно-золотой) 23544  Tribal War Feathers (красно-золотой) 23544
шлем кольчужный, убирает причёску: Blackforge Cowl (стальной) 15290  Glimmering Mail Coif (медный) 15517
шлем тяжёлый, убирает причёску: Heraldic Headpiece 21300
наплечники: Grunt's Pauldrons 26975  Sentinel Shoulders 5414  Ironfeather Shoulders 25700  Cross-stitched Shoulderpads (маленькие чёрно-золотые) 14121  Shoulderpads of Faith (T3; лучащиеся) 35149  Epaulets of Ten Storms (T2; сиреневые с электрич.аурой) 34255  Mantle of Prophecy (T1; красно-золотой, ленты вниз) 30623  Nemesis Spaulders (сиреневатые с зелёным пламенем) 34022
плащи умеренной длины: Forest Cloak (салатовый) 23029  Nightsky Cloak (сиренево-золотой) 18131  Dwarven Guard Cloak (сине-золотой) 15183  Thick Cloak (желтоватый) 23070  Smooth Cloak (тёмно-голубой) 23065  Gryphon Cloak (светло-бордовый) 28565  Scorpashi Cape (коричнево-рыжеватый) 27584  Amplifying Cloak (красно-золотой) 15217
плащи длинные: Shroud of Domination (светло-болотный с каймой) 34812
cloth armor в виде рубашки: Sorcerer Drape 28064
рубашки: Deprecated Torn Shirt 7908  Orange Martial Shirt 18916  Trapper's Shirt (коричневая безрукавка) 9996  Squire's Shirt[6117] (светло-коричневая безрукавка) 9972  Work Shirt (коричневая) 7849  Green Holiday Shirt (необычная, с узорами) 29901  Thug Shirt[6136] (рыжая, без плеч) 10112  Gossamer Tunic (неброская) 15398
сапоги: Acolyte's Shoes 3261  Journeyman's Boots (коричневые с оранжевым) 14525  Blackrock Boots 6841  Twilight Boots (сине-золотые, минимальные отвороты) 14645  Tough Leather Boots (коричневые) 16998   Imperial Red Boots (красные) 16766  Blackened Defias Boots (чёрные) 21903  Worn Leather Boots (кожаные сапоги невзрачные, но приемлемые по форме и виду) 14353
сапоги тяжёлые:  Light Plate Boots 28404  Overlord's Greaves (пластина спереди, кольчужные сзади) 27400  Shinkicker Boots (золотые, спереди выше) 28252  Vanguard Sabatons 26850  Hero's Boots (тёмно-красные) 26310  Sunscale Sabatons (тёмно-золотые) 26822  Magnificent Greaves (алые) 27318  Masterwork Boots (красновато-желтоватые) 26237  Glorious Sabatons (золотые блестящие) 26862  High Chief's Sabatons (тёмно-багровые) 26833
платья: Mistscape Robe (сине-золотое) 12676  Robes of the Royal Crown (чёрно-красное) 28814  Mindsurge Robe (чёрно-голубое) 30868  Robe of the Moccasin (чёрно-бордовый) 12693  Frostfire Robe (T3; морозно-голубой) 35523  Robes of Transcendence (T2; ) 34047  Arcanist Robes (T1; сине-бордовый) 30581  Robes of Prophecy (T1; красно-золотой) 31490  Hibernal Robe (зелёно-желтоватый +Green Holiday Shirt) 19901  Royal Gown (сине-золотой) 28417  Robes of the Exalted (голубой) 24025  Woodland Robes (синий с зелёным) 28178  Festival Dress (красное с золотом) 34096  Elegant Robes (солнечное) 28992  Cindercloth Robe (на мага огня) 14606  Acolyte's Sacrificial Robes (светло-сиреневое) 27479
костюм: Festival Suit (красный с золотым) 34099
доспех-рубашка: Aurora Armor (светло-серый, короткие рукава) 14657  Earthshatter Tunic (T3; короткие рукава) 35752  Protector Breastplate (защитного цвета) 27155
доспех-безрукавка: Armor of the Fang (сиренево-золотой) 17091  Chief Brigadier Armor 25882  Spitfire Breastplate (кожаный с красными линиями) 32876
доспехи кожаные: Archer's Jerkin 14068  Duskwoven Tunic 28158  Blazewind Breastplate (красно-коричневый) 19002  Bonescythe Breastplate (чёрная с "богатым" орнаментом)35054  Traveler's Jerkin (салатовый) 17312
чёрная "rogue" безрукавка: Hardened Leather Tunic 19040
короткие кольчуги: Burnished Tunic (золотистая) 25769  Defender Tunic (голубоватая) 25763  Thick Murloc Armor (светло-бордовая) 22393  Cadet Vest (салатовая) 22688  Protector Breastplate (тускло-зелёная с жёлтым, клетчатая) 27155  Blue Dragonscale Breastplate (голубоватая удлинённая) 25676  Dreamwalker Armor (золотисто-оранжевая удлинённая) 28663  Earthshatter Tunic (тёмно-красная удлинённая) 35752  Soldier's Armor (тёмнозелёно-золотистая) 25755
кольчуги: Battleforge Armor (огненная, сочетается с Orange Martial Shirt) 25798  Drake-scale Vest (светло-серая чешуя) 8678  Breastplate of Ten Storms (цепи) 34081  Icy Scale Breastplate (синяя морозная) 36436  Vest of Elements (синяя с золотым, шаманская) 31416  Dragonstalker's Breastplate (сиреневая с золотом) 33667  Field Marshal's Chain Breastplate 32094  Deathchill Armor 28710  Blue Dragonscale Breastplate 25676  Gryphon Mail Breastplate (тёмные перья) 27129  Splintsteel Armor (чешуя с красным) 28244  Dreamwalker Armor (короткая латунного цвета) 28663
панцирь: Breastplate of Undead Slaying 36077  Warleader's Breastplate (тёмно-голубая, короткая, с рукавами) 26880  Light Plate Chestpiece 28398  Lord's Breastplate (стальной, короткий) 26327  Ironhide Breastplate (красно-чёрный) 27171
наручи: Silver-lined Bracers (синие) 16926  Steadfast Bracelets (светло-сиреневые) 27895  Sunscale Wristguards (золотистые) 26821  Ironhide Bracers (тёмно-красные) 27170  Glorious Bindings (золотые браслеты, ближе к локтю) 26857  Emerald Vambraces (тёмно-зелёные) 27420  Spitfire Bracers (кожаные с красными линиями) 32875  Templar Bracers (жёлто-синие) 27406  High Chief's Bindings (тёмно-бронзовые) 26829  Bloodlust Bracelets (тёмно-красные, ближе к локтю) 27193  Vambraces of Prophecy (T1; коричнево-золотые с красной каймой) 30617
пояс: Sparkleshell Belt (золотой, широкий) 27110  Belt of the Fang (сиреневато-золотой) 28384  Lightforge Belt (золотой) 29966  Ironhide Belt (красно-чёрный узорчатый) 27169  Lord's Girdle (коричневый с золотым отблеском) 19718  Embossed Plate Girdle (красновато-золотой) 27352  Warmonger's Belt (тёмно-оранжевый с круглой пряжкой) 26180  Emerald Girdle (зелёно-золотой) 27418  Masterwork Girdle (тонкий золотой) 26245  Magnificent Belt (красный с золотым) 27313  Commander's Girdle (красная вязь на чёрном) 26335  High Councillor's Sash (сиреневый) 27647  Exalted Girdle (очень широкий, чёрный фон) 26889  Vanguard Girdle (синий с золотой каймой) 26848  Elemental Plate Girdle (бежево-серый) 30865  Ornate Girdle (золотой, очень узкий) 26295  Bloodlust Belt (тёмно-красный, узорчатый, широкий) 27185  War Torn Girdle (тёмно-красный) 26953
пояс-шорты: Praetorian Girdle (красный) 27560
рукавицы беспаличные: Devilsaur Gauntlets (ярко-красные) 26072  Cutthroat's Mitts (ярко-красные, др. иконка) 27715   Headhunter's Mitts (бордовые) 27701  Dreamweave Gloves (зелёные) 18999  Mooncloth Gloves (короткие синие) 30774  Harmonious Gauntlets (зелёно-золотые) 30862
рукавицы кожаные: Gloves of Holy Might 17180
рукавицы тяжёлые: Plated Fist of Hakoo (латунные) 28354  Vice Grips (раскалённо-чёрные) 18573  Glorious Gauntlets (чёрно-золотые) 27833  Ironhide Gauntlets (чёрные с красными линиями) 29006  Engraved Gauntlets (алые; беспаличные) 26269  Magnificent Gauntlets (алые) 27317  Master's Gloves (чёрные с белым узором) 16642  Black Grasp of the Destroyer (чёрные с металлическими полосами) 34516
штаны cloth/leather: Leggings of the Fang 28385 (сиренево-золотые)  Mistscape Pants (синие) 14685  Skyshroud Leggings (тёмная магента) 28713  Bonescythe Legplates (T3; чёрные) 35065  Treetop Leggings (бледно-зелёные) 28198  Smith's Trousers (бело-горелые) 16971  Shaggy Leggings (изумрудные, до колен) 17142  Warstrife Leggings (чёрные с накладками) 28623  Leggings of Transcendence (тёмные с морозным узором по бокам) 34049
штаны кольчужные: Marshal's Chain Legguards 32097  Gryphon Mail Legguards (из перьев) 27133
штаны-латы: Overlord's Legplates (+Vanguard Sabatons) 27401  Brutish Legguards (чёрные) 27900  Bloodlust Britches (кроваво-красные) 27195  Ironhide Legguards (чёрные с красными линиями) 27174  Heavy Mithril Pants (тускло-сиреневатые) 16092
штаны-шорты: Warden's Woolies 27984  Obsidian Scaled Leggings (тёмно-серая чешуя с зеленоватым оттенком) 33854
штаны в форме полуплатья: Stormrage Legguards 30540  Kilt of The Five Thunders 34696  Earthshatter Legguards (T3) 35754  Judgement Legplates (T2; красно-золотой) 33637  Legplates of Ten Storms (T2; сиреневый) 34084
маленький щит: Gothic Shield 18775  Inscribed Buckler (деревянный с рунами) 1673
средний щит: Ebonhold Buckler (дерево с металическими краями) 26232  NPC малый штормградский щит (голубовато-латунный) 2080  Symbolic Crest (треугольный металлический с отблеском) 25134  Earthen Guard (по форме Symbolic Crest, но красивее по цвету) 33138  Warstrike Buckler (круглый, латунный) 27145  Buru's Skull Fragment (лиловый) 33867
большой прямоугольный щит: Brigade Defender (с необычным красноватым отливом) 25940  Deflecting Tower (деревянный) 18774  Knight's Crest (бело-синеватый с эмблемой) 26065
большие щиты редких форм: Warbringer's Shield 23825  Rhombeard Protector (парус) 23750  Lofty Shield (стальной) 20974  Milli's Shield (остроугольный с самоцветом) 30872  NPC большой штормградский щит (синий) 34127  Zulian Defender (в стиле троллей) 32560
кинжал: Dreadblade (прямоугольный прямой) 28520  Razor Blade (широкий) 3175  Blade of Eternal Darkness (чёрное свечение) 29957  Feral Blade (короткий меч) 7314  Honed Stiletto (изогнутый, серебряно-золотистый) 28568  Spiked Dagger 4119  Sacrificial Kris (волнообразный) 20573  Carving Knife (красная рукоятка) 6440  Demon Blade (пилообразный) 20299
короткий меч: Annealed Blade (гладиаторский) 18270  Knightly Longsword (тонкий стальной) 26579  Crystal Sword (широкий волнообразный) 28346  Sword2H, Horde Jagged (широкий с узором) 21194  Battlefell Sabre (сабля с зазубриной) 28316
длинный меч: Vanquisher's Sword (узорный) 20086  Linken's Sword of Mastery 22227  Rune Sword (изогнутая сабля) 28530  Frost Tiger Blade (длинная изогнутая двуручная сабля) 20252  Shin Blade (тонкий длинный двуручный меч) 26589  Sword2H, Baron Rivendare (с узором) 7489  Destiny 20190  Gressil, Dawn of Ruin 36378  Dimensional Blade (широкий) 13078
тяжёлый меч: Barbarous Blade 30853  Blackblade of Shahram 22906  Quel'Serrar 30994  Manslayer of the Qiraji (тёмно-зелёный, полупрозрачный) 33882
булава: Smashing Star 28512
одноручный молот: Bonesnapper 28689  Mastersmith's Hammer (белый с золотым) 30440  Masterwork Stormhammer (золотистый) 7438
каменный молот: Rock Maul 8587
длинный двуручный молот: Cobalt Crusher 15466  Thornstone Sledgehammer 15467  Lavastone Hammer (красно-чёрный) 34556  Brutehammer (чёрный с остриём) 28674
двуручные топоры: Gigantic War Axe 28533  Death Striker (чёрно-железный) 28349  Malicious Axe (медно-стальной) 31219
одноручные топоры: Corpse Harvester (одноручный, небольшой) 28338  Moon Cleaver (одноручный, небольшой) 28566  Iceblade Hacker (морозный, среднего размера) 28782
посох: Staff of Rampant Growth (большой друидический) 33015  Zum'rah's Vexing Cane (круглый набалдашник) 30472  Headmaster's Charge (с черепом) 24771  Staff of the Qiraji Prophets (тёмно-багровый) 33429
бердыш: Smoldering Claw 5290  Blackhand Doomsaw (стальной с алым узором) 22792
копьё: Impaling Harpoon (выступает высоко вверх) 5949  Chillpike (морозная) 25631
гладкоствольное ружьё: Ornate Blunderbuss 6607  Xorothian Firestick 31237  Burnside Rifle 28331
арбалет: Polished Ironwood Crossbow (изумрудное дерево) 33020
лук: Archstrike Bow 28309
волшебная палочка и т.п.: Arcane Star 27575  Globe of D'sak 23867


:BloodsailUniform
REM set head=  Bloodsail Admiral's Hat 35174
set chest=     Bloodsail Shirt 35169
set waist=     Bloodsail Sash 35170
set legs=      Bloodsail Pants 35172
set feet=      Bloodsail Boots 35171
goto :EOF

:HighInquisitorWhitemane
set shoulders= Crimson Silk Shoulders 13672
set chest=     Cindercloth Vest 24893
set tabard=    Tabard of Flame 38283
set waist=     Black Belt of Knowledge 38975
set wrist=     Earthmender's Bracer of Shattering 43217
set hands=     Gloves of the High Magus 30768
set legs=      Cindercloth Pants 24895
set feet=      Ashwalker's Footwraps 43216
set twohand=   Invincible Stave 20257
goto :EOF

:HeroMailArmour
set head=      Hero's Band 26315
set shoulders= Hero's Pauldrons 26321
set back=      Hero's Cape 26323
set chest=     Hero's Breastplate 26314
set waist=     Hero's Belt 26312
set wrist=     Hero's Bracers 26313
set hands=     Hero's Gauntlets 26316
set legs=      Hero's Leggings 26317
set feet=      Hero's Boots 26310
set shield=    Hero's Buckler 26324
goto :EOF

:AbjurersCloth
set shoulders= Abjurer's Mantle 27796
set chest=     Abjurer's Tunic 28972
set waist=     Abjurer's Sash 13664
set wrist=     Abjurer's Bands 16936
set hands=     Abjurer's Gloves 17130
set legs=      Abjurer's Pants 14613
set feet=      Abjurer's Boots 28010
goto :EOF

:JoustersPlate
set chest= Jouster's Chestplate 27340
set waist= Jouster's Girdle 27342
set legs=  Jouster's Legplates 27344
goto :EOF

:WickedLeather
set head=  Wicked Leather Headband 25729
set chest= Wicked Leather Armor 25721
set waist= Wicked Leather Belt 25728
set wrist= Wicked Leather Bracers 25726
set hands= Wicked Leather Gauntlets 25724
set legs=  Wicked Leather Pants 25722
set feet=  Thick Cloth Shoes 16780
goto :EOF

:Wildheart
set head=  Wildheart Cowl 31228
rem set shoulders= Wildheart Spaulders 30412
set chest= Wildheart Vest 29974
set waist= Wildheart Belt 29976
set wrist= Wildheart Bracers 29977
set legs=  Wildheart Kilt 29975
set feet=  Wildheart Boots 29981
goto :EOF

:OfElements
set chest= Vest of Elements 31416
set waist= Cord of Elements 31413
set wrist= Bindings of Elements 31411
set legs=  Kilt of Elements 31415
rem set feet = Boots of Elements 31412
goto :EOF

:Earthshatter
rem set shoulders= Earthshatter Spaulders 35751
set chest= Earthshatter Tunic 35752
rem set waist= Earthshatter Girdle 35747
set wrist= Earthshatter Wristguards 35753
set legs= Earthshatter Legguards 35754
set feet= Earthshatter Boots 35746
goto :EOF

:Cadaverous
set chest = Cadaverous Armor 25249
set hands = Cadaverous Gloves 25253
set waist = Cadaverous Belt 25248
set legs = Cadaverous Leggings 26966
set feet = Cadaverous Walkers 11571
goto :EOF

:Imperial
set chest= Imperial Plate Chest 25749
set wrist= Imperial Plate Bracers 24511
set waist= Imperial Plate Belt 24514
set legs= Imperial Plate Leggings 24506
goto :EOF

:HyperionEngraved
set chest= Hyperion Armor 19844
set waist= Hyperion Girdle 26340  Engraved Girdle 26270
set wrist= Hyperion Vambraces 26360
set hands= Engraved Gauntlets 26269
set legs= Hyperion Legplates 19843
set feet= Hyperion Greaves 26341
set shield= Engraved Wall 26283
goto :EOF

:Cenarion
set chest= Cenarion Vestments (T1; чешуйчатое коричневое с зелёной листвой) 31797
set wrist= Cenarion Bracers 31725
set head= Cenarion Helm (T1; рога) 32790
set shoulders= Cenarion Spaulders (T1; зелёная листва и ветки) 32016
goto :EOF


:TBC
goto Done



:WotLK_Jeutie
REM Названия фактических экипированных вещей
set _head=Watcher's Cowl
set _shoulders=Frozen Shadoweave Shoulders
set _back=Cloak of Woven Energy
set _chest=Frozen Shadoweave Robe
set _wrist=Archmage Bracelets
set _hands=Elementalist Gloves
set _waist=Frostwoven Belt
set _legs=Farshire Pants
set _feet=Frozen Shadoweave Boots
set _twohand=
set _mainhand=Placid Lightmace
set _offhand=Anvilmar Hammer
set _ranged=Sporeling's Firestick

REM Номера визуальных моделей (displayid в item_template)
REM call :HighInquisitorWhitemane
set offhand=   Ceremonial Hammer 16498
set shoulders= %NoShoulders%

call :MultiTransmog
goto Done

REM Варианты простых наплечников небольшого размера
REM set shoulders= Bright Mantle  27551
REM set shoulders= Brocade Shoulderpads  14371
REM set shoulders= Buccaneer's Mantle  28055
REM set shoulders= Councillor's Shoulders  27605

REM Большие, но не по-дурацки выглядящие наплечники (WotLK)
REM set shoulders= Flint-Reinforced Spaulders  49536
REM set shoulders= Floodplain Shoulderpads  49246
REM set shoulders= Frostscale Shoulders  52151
REM set shoulders= Frost Witch's Shoulderguards  65233
REM set shoulders= Furred Worgslayer Spaulders  51569


REM Crown of Endless Knowledge (IL 103 rare)

REM repls -wk -b "Bloodspore Robe[0][0][0][0]" "Bloodspore Robe[0][0][0][0][64859]" Cache\WDB\enUS\itemcache.wdb
REM Astral Knot Robe [0x77][0x3b]
REM Sorcerer Robe [0xaa][0x6d]
REM DS1 Magister's Robes [0x97][0x73]
REM DS2 Sorcerer's Robes [0x24][0x87]
REM Zandalar Illusionist's Robe (IL 65, Zandalar Tribe set)
REM Knight-Captain's Silk Tunic (IL 68 Rare, PvP)
REM Field Marshal's Silk Vestments (IL 74 Epic, PvP)
REM Enigma Robes (IL 88, Brood of Nozdormu set)
REM T1 Arcanist Robes [0x75][0x77]
REM T2 Netherwind Robes [0xf6][0x84]
REM T3 Frostfire Robe [0xc3][0x8a]

REM Demonweave Raiment [0xa2][0xaa]
REM Evoker's Silk Raiment (IL 115 Rare, Evoker's Silk Battlegear)
REM Gladiator's Silk Raiment (IL 123, Gladiator's Regalia)
REM Merciless Gladiator's Silk Raiment (IL 136, Merciless Gladiator's Regalia)
REM Vengeful Gladiator's Silk Raiment (IL 146, Vengeful Gladiator's Regalia)
REM Brutal Gladiator's Silk Raiment (IL 159, Brutal Gladiator's Regalia)
REM DS3 Incanter's Robe (IL 115, Incanter's Regalia) [0x7f][0xa5]
REM T4 Vestments of Aldor [0x14][0x9e]
REM T5 Robes of Tirisfal [0x90][0xa6]
REM T6 Robes of the Tempest

REM Bloodspore Robe (IL 134) [0xfa][0xcb]
REM T7.10 Heroes' Frostfire Robe (IL 200)
REM T7.25 Valorous Frostfire Robe (IL 213)
REM T8.10 Valorous Kirin Tor Tunic (IL 219)
REM T8.25 Conqueror's Kirin Tor Tunic (IL 226)
REM T10.10 Bloodmage Robe (IL 251)               64858
REM T10.25 Sanctified Bloodmage Robe (IL 264)    64242
REM T10.25.H Sanctified Bloodmage Robe (IL 277)  64859

REM Cushy Cenarion Walkers (IL 93)  13051

REM Sanctified Bloodmage Shouderpads (IL 277)  64896
REM Laughing Skull Shoulderpads (самые маленькие наплечники) 9999

REM Frostwoven Gloves (IL 138) 53085

REM Ceremonial Hammer (чекан)
REM Mace of the Fallen Raven Priest (шипастая булава)
REM Silvermoon War-Mace (шестопер)
REM Northshire Battlemace (магический шестопер)
REM Gressil, Dawn of Ruin (волшебный меч)

REM Forest Cloak 23029 (мягко-зелёный)
REM Cloak of Frozen Spirits (синий с золотом)
REM Engineer's Cloak 6667 (морозно-голубой)


:Cata
goto Done



REM ======= SUBROUTINES ===========

:CmpFDate :: (sv_fpath1, sv_fpath2)  ret ERRORLEVEL=0,1
REM Сравнение файлов по дате с точностью до 1 минуты
REM Возвращает 1 если первый изменён позже второго или даты совпадают
for %%F in (!%1!) DO set WHAT=%%~tF
for %%F in (!%2!) DO set WTT=%%~tF
set WHAT=%WHAT:~6,4%-%WHAT:~3,2%-%WHAT:~0,2% %WHAT:~11,5%
set WTT=%WTT:~6,4%-%WTT:~3,2%-%WTT:~0,2% %WTT:~11,5%
if "%WHAT%" GEQ "%WTT%" (verify ERR1 2>nul) else (prompt)
goto :EOF


:MultiTransmog
for %%P in (head shoulders back chest shirt wrist hands waist legs feet twohand mainhand offhand shield ranged) DO (
  if defined _%%P if defined %%P (
     call :Transmog "!_%%P!" "!%%P!"
     set "_%%P="
))
for /F "tokens=1,2* delims==" %%L in ('set @_') DO (
  set WHAT=%%L
  if defined WHAT set WHAT=!WHAT:~2!
  if defined WHAT if not "%%M"=="" (
     call :Transmog "!WHAT!" "%%M"
     set "%%L="
  )
)
goto :EOF


:Transmog
set "ITEM=%~1"
set "ITEM=!ITEM:_= !"
:LPad
if "!ITEM:~0,1!"==" " set "ITEM=!ITEM:~1!"& goto LPad
:RPad
if "!ITEM:~-1!"==" " set "ITEM=!ITEM:~0,-1!"& goto RPad

set ID=
set WTT=%2
for /L %%n in (1,1,160) do (
if not defined WTT goto GotID
if "!WTT:~-1!" GEQ "0" if "!WTT:~-1!" LEQ "9" goto ReadID
set WTT=!WTT:~0,-1!
)
:ReadID
for /L %%n in (1,1,30) do (
if "!WTT:~-1!" LSS "0" goto GotID
if "!WTT:~-1!" GTR "9" goto GotID
set ID=!WTT:~-1!!ID!
set WTT=!WTT:~0,-1!
)
:GotID

set "WTT=%ITEM% => %~2"
echo !WTT!
if not defined ID echo   FATAL^! displayid not found. Press a key to continue...& pause>nul& goto :EOF
if %ID% GEQ 0 if %ID% LEQ 255 set ID=%ID%][0

verify ERR1 2>nul
REM Первый запуск repls (без ключа записи) проверяет, изменён ли уже номер модели; не пишем напрасно на HDD/SSD
FOR %%F IN ("Cache\WDB\enGB\itemcache.wdb" "Cache\WDB\enUS\itemcache.wdb") DO if exist %%F (
 repls -q -b "%ITEM%[0][0][0][0][%ID%]" "_" %%F
 if errorlevel 1 if not errorlevel 2 goto :EOF
 repls -w -q3 -b "%ITEM%[0][0][0][0]" "%ITEM%[0][0][0][0][%ID%]" %%F >nul
)
if exist WDB\itemcache.wdb (
 repls -q -b "%ITEM%[0]%ITEM%[0]%ITEM%[0]%ITEM%[0][%ID%]" "_" WDB\itemcache.wdb
 if errorlevel 1 if not errorlevel 2 goto :EOF
 repls -w -q4 -b "%ITEM%[0]%ITEM%[0]%ITEM%[0]%ITEM%[0]" "%ITEM%[0]%ITEM%[0]%ITEM%[0]%ITEM%[0][%ID%]" WDB\itemcache.wdb >nul
)
if not "%ERRORLEVEL%"=="1" echo   FAILED [%ERRORLEVEL%] to modify itemcache.wdb ...
goto :EOF

:Done
attrib -A "%~f0"
